package com.chenyang.nse.bussiness.entity.vo.datascope;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class EditionProjectVO {
   private String id;
   private String scope_level;
   private String edition_name;
   private String note;
   private String create_user;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private Date create_date;
   private String projectid;
   private Map<String, String> columnsGroups = new HashMap();
   private String columncount;
   private String columnname1;
   private String columnvalue1;
   private String columnname2;
   private String columnvalue2;
   private String columnname3;
   private String columnvalue3;
   private String columnname4;
   private String columnvalue4;
   private String columnname5;
   private String columnvalue5;
   private String columnname6;
   private String columnvalue6;
   private String columnname7;
   private String columnvalue7;
   private String columnname8;
   private String columnvalue8;
   private String columnname9;
   private String columnvalue9;
   private String columnname10;
   private String columnvalue10;

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getEdition_name() {
      return this.edition_name;
   }

   public void setEdition_name(String edition_name) {
      this.edition_name = edition_name;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getCreate_user() {
      return this.create_user;
   }

   public void setCreate_user(String create_user) {
      this.create_user = create_user;
   }

   public Date getCreate_date() {
      return this.create_date;
   }

   public void setCreate_date(Date create_date) {
      this.create_date = create_date;
   }

   public String getColumnname1() {
      return this.columnname1;
   }

   public void setColumnname1(String columnname1) {
      this.columnname1 = columnname1;
   }

   public String getColumnvalue1() {
      return this.columnvalue1;
   }

   public void setColumnvalue1(String columnvalue1) {
      this.columnvalue1 = columnvalue1;
   }

   public String getColumnname2() {
      return this.columnname2;
   }

   public void setColumnname2(String columnname2) {
      this.columnname2 = columnname2;
   }

   public String getColumnvalue2() {
      return this.columnvalue2;
   }

   public void setColumnvalue2(String columnvalue2) {
      this.columnvalue2 = columnvalue2;
   }

   public String getColumnname3() {
      return this.columnname3;
   }

   public void setColumnname3(String columnname3) {
      this.columnname3 = columnname3;
   }

   public String getColumnvalue3() {
      return this.columnvalue3;
   }

   public void setColumnvalue3(String columnvalue3) {
      this.columnvalue3 = columnvalue3;
   }

   public String getColumnname4() {
      return this.columnname4;
   }

   public void setColumnname4(String columnname4) {
      this.columnname4 = columnname4;
   }

   public String getColumnvalue4() {
      return this.columnvalue4;
   }

   public void setColumnvalue4(String columnvalue4) {
      this.columnvalue4 = columnvalue4;
   }

   public String getColumnname5() {
      return this.columnname5;
   }

   public void setColumnname5(String columnname5) {
      this.columnname5 = columnname5;
   }

   public String getColumnvalue5() {
      return this.columnvalue5;
   }

   public void setColumnvalue5(String columnvalue5) {
      this.columnvalue5 = columnvalue5;
   }

   public String getColumnname6() {
      return this.columnname6;
   }

   public void setColumnname6(String columnname6) {
      this.columnname6 = columnname6;
   }

   public String getColumnvalue6() {
      return this.columnvalue6;
   }

   public void setColumnvalue6(String columnvalue6) {
      this.columnvalue6 = columnvalue6;
   }

   public String getColumnname7() {
      return this.columnname7;
   }

   public void setColumnname7(String columnname7) {
      this.columnname7 = columnname7;
   }

   public String getColumnvalue7() {
      return this.columnvalue7;
   }

   public void setColumnvalue7(String columnvalue7) {
      this.columnvalue7 = columnvalue7;
   }

   public String getColumnname8() {
      return this.columnname8;
   }

   public void setColumnname8(String columnname8) {
      this.columnname8 = columnname8;
   }

   public String getColumnvalue8() {
      return this.columnvalue8;
   }

   public void setColumnvalue8(String columnvalue8) {
      this.columnvalue8 = columnvalue8;
   }

   public String getColumnname9() {
      return this.columnname9;
   }

   public void setColumnname9(String columnname9) {
      this.columnname9 = columnname9;
   }

   public String getColumnvalue9() {
      return this.columnvalue9;
   }

   public void setColumnvalue9(String columnvalue9) {
      this.columnvalue9 = columnvalue9;
   }

   public String getColumnname10() {
      return this.columnname10;
   }

   public void setColumnname10(String columnname10) {
      this.columnname10 = columnname10;
   }

   public String getColumnvalue10() {
      return this.columnvalue10;
   }

   public void setColumnvalue10(String columnvalue10) {
      this.columnvalue10 = columnvalue10;
   }

   public String getColumncount() {
      return this.columncount;
   }

   public void setColumncount(String columncount) {
      this.columncount = columncount;
   }

   public String getScope_level() {
      return this.scope_level;
   }

   public void setScope_level(String scope_level) {
      this.scope_level = scope_level;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getId() {
      return this.id;
   }

   public Map<String, String> getColumnsGroups() {
      return this.columnsGroups;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setColumnsGroups(final Map<String, String> columnsGroups) {
      this.columnsGroups = columnsGroups;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof EditionProjectVO)) {
         return false;
      } else {
         EditionProjectVO other = (EditionProjectVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$scope_level = this.getScope_level();
            Object other$scope_level = other.getScope_level();
            if (this$scope_level == null) {
               if (other$scope_level != null) {
                  return false;
               }
            } else if (!this$scope_level.equals(other$scope_level)) {
               return false;
            }

            Object this$edition_name = this.getEdition_name();
            Object other$edition_name = other.getEdition_name();
            if (this$edition_name == null) {
               if (other$edition_name != null) {
                  return false;
               }
            } else if (!this$edition_name.equals(other$edition_name)) {
               return false;
            }

            Object this$note = this.getNote();
            Object other$note = other.getNote();
            if (this$note == null) {
               if (other$note != null) {
                  return false;
               }
            } else if (!this$note.equals(other$note)) {
               return false;
            }

            Object this$create_user = this.getCreate_user();
            Object other$create_user = other.getCreate_user();
            if (this$create_user == null) {
               if (other$create_user != null) {
                  return false;
               }
            } else if (!this$create_user.equals(other$create_user)) {
               return false;
            }

            Object this$create_date = this.getCreate_date();
            Object other$create_date = other.getCreate_date();
            if (this$create_date == null) {
               if (other$create_date != null) {
                  return false;
               }
            } else if (!this$create_date.equals(other$create_date)) {
               return false;
            }

            Object this$projectid = this.getProjectid();
            Object other$projectid = other.getProjectid();
            if (this$projectid == null) {
               if (other$projectid != null) {
                  return false;
               }
            } else if (!this$projectid.equals(other$projectid)) {
               return false;
            }

            Object this$columnsGroups = this.getColumnsGroups();
            Object other$columnsGroups = other.getColumnsGroups();
            if (this$columnsGroups == null) {
               if (other$columnsGroups != null) {
                  return false;
               }
            } else if (!this$columnsGroups.equals(other$columnsGroups)) {
               return false;
            }

            Object this$columncount = this.getColumncount();
            Object other$columncount = other.getColumncount();
            if (this$columncount == null) {
               if (other$columncount != null) {
                  return false;
               }
            } else if (!this$columncount.equals(other$columncount)) {
               return false;
            }

            Object this$columnname1 = this.getColumnname1();
            Object other$columnname1 = other.getColumnname1();
            if (this$columnname1 == null) {
               if (other$columnname1 != null) {
                  return false;
               }
            } else if (!this$columnname1.equals(other$columnname1)) {
               return false;
            }

            Object this$columnvalue1 = this.getColumnvalue1();
            Object other$columnvalue1 = other.getColumnvalue1();
            if (this$columnvalue1 == null) {
               if (other$columnvalue1 != null) {
                  return false;
               }
            } else if (!this$columnvalue1.equals(other$columnvalue1)) {
               return false;
            }

            Object this$columnname2 = this.getColumnname2();
            Object other$columnname2 = other.getColumnname2();
            if (this$columnname2 == null) {
               if (other$columnname2 != null) {
                  return false;
               }
            } else if (!this$columnname2.equals(other$columnname2)) {
               return false;
            }

            Object this$columnvalue2 = this.getColumnvalue2();
            Object other$columnvalue2 = other.getColumnvalue2();
            if (this$columnvalue2 == null) {
               if (other$columnvalue2 != null) {
                  return false;
               }
            } else if (!this$columnvalue2.equals(other$columnvalue2)) {
               return false;
            }

            Object this$columnname3 = this.getColumnname3();
            Object other$columnname3 = other.getColumnname3();
            if (this$columnname3 == null) {
               if (other$columnname3 != null) {
                  return false;
               }
            } else if (!this$columnname3.equals(other$columnname3)) {
               return false;
            }

            Object this$columnvalue3 = this.getColumnvalue3();
            Object other$columnvalue3 = other.getColumnvalue3();
            if (this$columnvalue3 == null) {
               if (other$columnvalue3 != null) {
                  return false;
               }
            } else if (!this$columnvalue3.equals(other$columnvalue3)) {
               return false;
            }

            Object this$columnname4 = this.getColumnname4();
            Object other$columnname4 = other.getColumnname4();
            if (this$columnname4 == null) {
               if (other$columnname4 != null) {
                  return false;
               }
            } else if (!this$columnname4.equals(other$columnname4)) {
               return false;
            }

            Object this$columnvalue4 = this.getColumnvalue4();
            Object other$columnvalue4 = other.getColumnvalue4();
            if (this$columnvalue4 == null) {
               if (other$columnvalue4 != null) {
                  return false;
               }
            } else if (!this$columnvalue4.equals(other$columnvalue4)) {
               return false;
            }

            Object this$columnname5 = this.getColumnname5();
            Object other$columnname5 = other.getColumnname5();
            if (this$columnname5 == null) {
               if (other$columnname5 != null) {
                  return false;
               }
            } else if (!this$columnname5.equals(other$columnname5)) {
               return false;
            }

            Object this$columnvalue5 = this.getColumnvalue5();
            Object other$columnvalue5 = other.getColumnvalue5();
            if (this$columnvalue5 == null) {
               if (other$columnvalue5 != null) {
                  return false;
               }
            } else if (!this$columnvalue5.equals(other$columnvalue5)) {
               return false;
            }

            Object this$columnname6 = this.getColumnname6();
            Object other$columnname6 = other.getColumnname6();
            if (this$columnname6 == null) {
               if (other$columnname6 != null) {
                  return false;
               }
            } else if (!this$columnname6.equals(other$columnname6)) {
               return false;
            }

            Object this$columnvalue6 = this.getColumnvalue6();
            Object other$columnvalue6 = other.getColumnvalue6();
            if (this$columnvalue6 == null) {
               if (other$columnvalue6 != null) {
                  return false;
               }
            } else if (!this$columnvalue6.equals(other$columnvalue6)) {
               return false;
            }

            Object this$columnname7 = this.getColumnname7();
            Object other$columnname7 = other.getColumnname7();
            if (this$columnname7 == null) {
               if (other$columnname7 != null) {
                  return false;
               }
            } else if (!this$columnname7.equals(other$columnname7)) {
               return false;
            }

            Object this$columnvalue7 = this.getColumnvalue7();
            Object other$columnvalue7 = other.getColumnvalue7();
            if (this$columnvalue7 == null) {
               if (other$columnvalue7 != null) {
                  return false;
               }
            } else if (!this$columnvalue7.equals(other$columnvalue7)) {
               return false;
            }

            Object this$columnname8 = this.getColumnname8();
            Object other$columnname8 = other.getColumnname8();
            if (this$columnname8 == null) {
               if (other$columnname8 != null) {
                  return false;
               }
            } else if (!this$columnname8.equals(other$columnname8)) {
               return false;
            }

            Object this$columnvalue8 = this.getColumnvalue8();
            Object other$columnvalue8 = other.getColumnvalue8();
            if (this$columnvalue8 == null) {
               if (other$columnvalue8 != null) {
                  return false;
               }
            } else if (!this$columnvalue8.equals(other$columnvalue8)) {
               return false;
            }

            Object this$columnname9 = this.getColumnname9();
            Object other$columnname9 = other.getColumnname9();
            if (this$columnname9 == null) {
               if (other$columnname9 != null) {
                  return false;
               }
            } else if (!this$columnname9.equals(other$columnname9)) {
               return false;
            }

            Object this$columnvalue9 = this.getColumnvalue9();
            Object other$columnvalue9 = other.getColumnvalue9();
            if (this$columnvalue9 == null) {
               if (other$columnvalue9 != null) {
                  return false;
               }
            } else if (!this$columnvalue9.equals(other$columnvalue9)) {
               return false;
            }

            Object this$columnname10 = this.getColumnname10();
            Object other$columnname10 = other.getColumnname10();
            if (this$columnname10 == null) {
               if (other$columnname10 != null) {
                  return false;
               }
            } else if (!this$columnname10.equals(other$columnname10)) {
               return false;
            }

            Object this$columnvalue10 = this.getColumnvalue10();
            Object other$columnvalue10 = other.getColumnvalue10();
            if (this$columnvalue10 == null) {
               if (other$columnvalue10 != null) {
                  return false;
               }
            } else if (!this$columnvalue10.equals(other$columnvalue10)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof EditionProjectVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $scope_level = this.getScope_level();
      result = result * 59 + ($scope_level == null ? 43 : $scope_level.hashCode());
      Object $edition_name = this.getEdition_name();
      result = result * 59 + ($edition_name == null ? 43 : $edition_name.hashCode());
      Object $note = this.getNote();
      result = result * 59 + ($note == null ? 43 : $note.hashCode());
      Object $create_user = this.getCreate_user();
      result = result * 59 + ($create_user == null ? 43 : $create_user.hashCode());
      Object $create_date = this.getCreate_date();
      result = result * 59 + ($create_date == null ? 43 : $create_date.hashCode());
      Object $projectid = this.getProjectid();
      result = result * 59 + ($projectid == null ? 43 : $projectid.hashCode());
      Object $columnsGroups = this.getColumnsGroups();
      result = result * 59 + ($columnsGroups == null ? 43 : $columnsGroups.hashCode());
      Object $columncount = this.getColumncount();
      result = result * 59 + ($columncount == null ? 43 : $columncount.hashCode());
      Object $columnname1 = this.getColumnname1();
      result = result * 59 + ($columnname1 == null ? 43 : $columnname1.hashCode());
      Object $columnvalue1 = this.getColumnvalue1();
      result = result * 59 + ($columnvalue1 == null ? 43 : $columnvalue1.hashCode());
      Object $columnname2 = this.getColumnname2();
      result = result * 59 + ($columnname2 == null ? 43 : $columnname2.hashCode());
      Object $columnvalue2 = this.getColumnvalue2();
      result = result * 59 + ($columnvalue2 == null ? 43 : $columnvalue2.hashCode());
      Object $columnname3 = this.getColumnname3();
      result = result * 59 + ($columnname3 == null ? 43 : $columnname3.hashCode());
      Object $columnvalue3 = this.getColumnvalue3();
      result = result * 59 + ($columnvalue3 == null ? 43 : $columnvalue3.hashCode());
      Object $columnname4 = this.getColumnname4();
      result = result * 59 + ($columnname4 == null ? 43 : $columnname4.hashCode());
      Object $columnvalue4 = this.getColumnvalue4();
      result = result * 59 + ($columnvalue4 == null ? 43 : $columnvalue4.hashCode());
      Object $columnname5 = this.getColumnname5();
      result = result * 59 + ($columnname5 == null ? 43 : $columnname5.hashCode());
      Object $columnvalue5 = this.getColumnvalue5();
      result = result * 59 + ($columnvalue5 == null ? 43 : $columnvalue5.hashCode());
      Object $columnname6 = this.getColumnname6();
      result = result * 59 + ($columnname6 == null ? 43 : $columnname6.hashCode());
      Object $columnvalue6 = this.getColumnvalue6();
      result = result * 59 + ($columnvalue6 == null ? 43 : $columnvalue6.hashCode());
      Object $columnname7 = this.getColumnname7();
      result = result * 59 + ($columnname7 == null ? 43 : $columnname7.hashCode());
      Object $columnvalue7 = this.getColumnvalue7();
      result = result * 59 + ($columnvalue7 == null ? 43 : $columnvalue7.hashCode());
      Object $columnname8 = this.getColumnname8();
      result = result * 59 + ($columnname8 == null ? 43 : $columnname8.hashCode());
      Object $columnvalue8 = this.getColumnvalue8();
      result = result * 59 + ($columnvalue8 == null ? 43 : $columnvalue8.hashCode());
      Object $columnname9 = this.getColumnname9();
      result = result * 59 + ($columnname9 == null ? 43 : $columnname9.hashCode());
      Object $columnvalue9 = this.getColumnvalue9();
      result = result * 59 + ($columnvalue9 == null ? 43 : $columnvalue9.hashCode());
      Object $columnname10 = this.getColumnname10();
      result = result * 59 + ($columnname10 == null ? 43 : $columnname10.hashCode());
      Object $columnvalue10 = this.getColumnvalue10();
      result = result * 59 + ($columnvalue10 == null ? 43 : $columnvalue10.hashCode());
      return result;
   }

   public String toString() {
      return "EditionProjectVO(id=" + this.getId() + ", scope_level=" + this.getScope_level() + ", edition_name=" + this.getEdition_name() + ", note=" + this.getNote() + ", create_user=" + this.getCreate_user() + ", create_date=" + this.getCreate_date() + ", projectid=" + this.getProjectid() + ", columnsGroups=" + this.getColumnsGroups() + ", columncount=" + this.getColumncount() + ", columnname1=" + this.getColumnname1() + ", columnvalue1=" + this.getColumnvalue1() + ", columnname2=" + this.getColumnname2() + ", columnvalue2=" + this.getColumnvalue2() + ", columnname3=" + this.getColumnname3() + ", columnvalue3=" + this.getColumnvalue3() + ", columnname4=" + this.getColumnname4() + ", columnvalue4=" + this.getColumnvalue4() + ", columnname5=" + this.getColumnname5() + ", columnvalue5=" + this.getColumnvalue5() + ", columnname6=" + this.getColumnname6() + ", columnvalue6=" + this.getColumnvalue6() + ", columnname7=" + this.getColumnname7() + ", columnvalue7=" + this.getColumnvalue7() + ", columnname8=" + this.getColumnname8() + ", columnvalue8=" + this.getColumnvalue8() + ", columnname9=" + this.getColumnname9() + ", columnvalue9=" + this.getColumnvalue9() + ", columnname10=" + this.getColumnname10() + ", columnvalue10=" + this.getColumnvalue10() + ")";
   }
}
